Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(5)  |  Call(5)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/mesh.py   rhinopython(Download)
    mesh = rhutil.coercemesh(object_id, True)
    pieces = mesh.SplitDisjointPieces()
    breps = [Rhino.Geometry.Brep.CreateFromMesh(piece,trimmed_triangles) for piece in pieces]
    rhobj = rhutil.coercerhinoobject(object_id, True, True)
    attr = rhobj.Attributes

src/l/a/ladybug-HEAD/src/Ladybug_Forward Raytracing.py   ladybug(Download)
 
    # Get rid of trimmed parts
    cleanBrep = rc.Geometry.Brep.CreateFromMesh(joinedContext, False)
 
    rays = []

src/l/a/ladybug-HEAD/src/Ladybug_Bounce from Surface.py   ladybug(Download)
 
    # Get rid of trimmed parts
    cleanBrep = rc.Geometry.Brep.CreateFromMesh(joinedContext, False)
 
    try:

src/h/o/Honeybee-HEAD/src/Honeybee_createHBSrfs.py   Honeybee(Download)
        geometry.Faces[0].IsQuad
        # convert to brep
        geometry = rc.Geometry.Brep.CreateFromMesh(geometry, False)
    except:
        pass

src/h/o/Honeybee-HEAD/src/Honeybee_addHBGlz.py   Honeybee(Download)
                srf.Faces[0].IsQuad
                # convert to brep
                srf = rc.Geometry.Brep.CreateFromMesh(srf, False)
            except:
                pass